<?php

class OG_AttachmentHandler_OGImage extends XenForo_AttachmentHandler_Abstract
{
    protected $_contentIdKey = 'ogimage';
    protected $_contentRoute = 'ogimage';
    protected $_contentTypePhraseKey = 'ogimage';
    
    protected function _canUploadAndManageAttachments(array $contentData, array $viewingUser)
    {
        if (isset($contentData['content_id']))
        {
            // When trying to delete attachments, we get the content_id and not threadid.
            $contentData['thread_id'] = $contentData['content_id'];
        }
                
        if (!empty($contentData['thread_id']))
        {
            $thread = XenForo_Model::create('XenForo_Model_Thread')->getThreadById($contentData['thread_id']);
            if ($thread)
            {
                $contentData['node_id'] = $thread['node_id'];
            }
        }

        if (!empty($contentData['node_id']))
        {
                $forumModel = XenForo_Model::create('XenForo_Model_Forum');
                $forum = $forumModel->getForumById($contentData['node_id'], array(
                        'permissionCombinationId' => $viewingUser['permission_combination_id']
                ));
                if ($forum)
                {
                    $permissions = XenForo_Permission::unserializePermissions($forum['node_permission_cache']);

                    return (
                        $forumModel->canViewForum($forum, $null, $permissions, $viewingUser)
                        && $forumModel->canUploadAndManageAttachment($forum, $null, $permissions, $viewingUser)
                    );
                }
        }

        return false; // invalid content data
    }

    protected function _canViewAttachment(array $attachment, array $viewingUser)
    {
        // This has to be always true because it will be an 
        // og image and so should be viewable by people on FB
        return true;
    }

    public function attachmentPostDelete(array $attachment, Zend_Db_Adapter_Abstract $db)
    {
        
    }
}
/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

