<?php
class OG_Installer
{
    public static function install($existingAddOn, $addOnData)    
    {        
        $db = XenForo_Application::get('db');

        $db->query("INSERT IGNORE INTO `xf_content_type` (`content_type`, `addon_id`, `fields`) VALUES ('ogimage', 'og', '')");
 
        $db->query("INSERT IGNORE INTO `xf_content_type_field` (`content_type`, `field_name`, `field_value`) VALUES ('ogimage', 'attachment_handler_class', 'OG_AttachmentHandler_OGImage')");
        
        XenForo_Model::create('XenForo_Model_ContentType')->rebuildContentTypeCache();
        
        $ogimage_exists = $db->fetchOne("SHOW COLUMNS FROM xf_thread LIKE 'ogimage'");
        
        if(!$ogimage_exists)
        {
            $db->query('ALTER TABLE `xf_thread` ADD COLUMN `ogimage` VARCHAR(256)');
        }
        
        $ogtitle_exists = $db->fetchOne("SHOW COLUMNS FROM xf_thread LIKE 'ogtitle'");
        
        if(!$ogtitle_exists)
        {
            $db->query('ALTER TABLE `xf_thread` ADD COLUMN `ogtitle` VARCHAR(100)');
        }
    }
    public static function uninstall()    
    {
        $db = XenForo_Application::get('db');
        
        $ogimage_exists = $db->fetchOne("SHOW COLUMNS FROM xf_thread LIKE 'ogimage'");
        
        if($ogimage_exists)
        {
            $db->query('ALTER TABLE `xf_thread` DROP COLUMN `ogimage`');
        }
        $ogtitle_exists = $db->fetchOne("SHOW COLUMNS FROM xf_thread LIKE 'ogtitle'");
        
        if($ogtitle_exists)
        {
            $db->query('ALTER TABLE `xf_thread` DROP COLUMN `ogtitle`');
        }
    }
}